# EVT

## v1

- [Why EVT ?](https://docs.evt.land/v1/readme.md)
- [Overview](https://docs.evt.land/v1/overview.md)
- [API Documentation](https://docs.evt.land/v1/api.md): The API reference documentation of the library and step-by-step guide for new users.
- [Evt\<T>](https://docs.evt.land/v1/api/evt.md): Evt\<T> is the Class that is the equivalent of EventEmitter in "events" and Subject\<T> in "rxjs"
- [evt.attach\*(...)](https://docs.evt.land/v1/api/evt/attach.md): Attach a Handler provided with a callback function to the Evt
- [evt.post\*(data)](https://docs.evt.land/v1/api/evt/post.md)
- [evt.waitFor(...)](https://docs.evt.land/v1/api/evt/waitfor.md)
- [evt.evt\[Attach|Detach\]](https://docs.evt.land/v1/api/evt/evtattachdetach.md)
- [evt.pipe(...)](https://docs.evt.land/v1/api/evt/pipe.md): An alternative to compose for chaining operaors.
- [evt.getHandlers()](https://docs.evt.land/v1/api/evt/gethandler.md)
- [evt.isHandled(data)](https://docs.evt.land/v1/api/evt/ishandled.md)
- [evt.detach(ctx?)](https://docs.evt.land/v1/api/evt/detach.md): Similar to EventEmitter.prototype.removeListener()
- [evt.enableTrace(...)](https://docs.evt.land/v1/api/evt/enabletrace.md)
- [evt.setMaxHandlers(n)](https://docs.evt.land/v1/api/evt/setmaxhandlers.md)
- [toStateful(initialState)](https://docs.evt.land/v1/api/evt/tostateful.md)
- [evt.getStatelessOp(op)](https://docs.evt.land/v1/api/evt/getstatelessop.md)
- [Evt.create(initalState?)](https://docs.evt.land/v1/api/evt/create.md): Static method to instanciate an Evt or a StatefulEvt.
- [Evt.newCtx\<T>()](https://docs.evt.land/v1/api/evt/newctx.md): Get a new instance of Ctx
- [Evt.getCtx(object)](https://docs.evt.land/v1/api/evt/getctx.md): A way to avoid having to create a ctx variable.
- [Evt.from\<T>(...)](https://docs.evt.land/v1/api/evt/from.md)
- [Evt.merge(\[ evt1, evt2, ... \])](https://docs.evt.land/v1/api/evt/merge.md)
- [Evt.loosenType(evt)](https://docs.evt.land/v1/api/evt/loosentype.md)
- [Evt.factorize(evt)](https://docs.evt.land/v1/api/evt/factorize.md)
- [Evt.asPostable(evt)](https://docs.evt.land/v1/api/evt/aspostable.md): Cast the passed event as portable.
- [Evt.asNonPostable(evt)](https://docs.evt.land/v1/api/evt/asnonpostable.md)
- [Evt.setDefaultMaxHandlers(n)](https://docs.evt.land/v1/api/evt/setdefaultmaxhandlers.md)
- [Ctx\<T>](https://docs.evt.land/v1/api/ctx.md)
- [Operator\<T, U> (type)](https://docs.evt.land/v1/api/operator.md): Operators provide a way to transform events data before they are passed to the callback.
- [StatefulEvt\<T>](https://docs.evt.land/v1/api/statefulevt.md)
- [Helper types](https://docs.evt.land/v1/api/helpertypes.md)
- [Handler\<T, U> (type)](https://docs.evt.land/v1/api/handler.md)
- [React hooks](https://docs.evt.land/v1/react-hooks.md): Evt let you work with events in react without having to worry about cleaning up afterward.
- [Extending Evt](https://docs.evt.land/v1/extending_evt.md)

## v2

- [EVT Overview](https://docs.evt.land/readme.md)
- [API Documentation](https://docs.evt.land/api.md): The API reference documentation of the library and step-by-step guide for new users.
- [Evt\<T>](https://docs.evt.land/api/evt.md): Evt\<T> is the Class that is the equivalent of EventEmitter in "events" and Subject\<T> in "rxjs"
- [Async iterator](https://docs.evt.land/api/evt/async-iterator.md)
- [evt.attach\*(...)](https://docs.evt.land/api/evt/attach.md): Attach a Handler provided with a callback function to the Evt
- [evt.post\*(data)](https://docs.evt.land/api/evt/post.md)
- [evt.waitFor(...)](https://docs.evt.land/api/evt/waitfor.md)
- [evt.evt\[Attach|Detach\]](https://docs.evt.land/api/evt/evtattachdetach.md)
- [evt.pipe(...)](https://docs.evt.land/api/evt/pipe.md): An alternative to compose for chaining operaors.
- [evt.getHandlers()](https://docs.evt.land/api/evt/gethandler.md)
- [evt.isHandled(data)](https://docs.evt.land/api/evt/ishandled.md)
- [evt.detach(ctx?)](https://docs.evt.land/api/evt/detach.md): Similar to EventEmitter.prototype.removeListener()
- [evt.enableTrace(...)](https://docs.evt.land/api/evt/enabletrace.md)
- [evt.setMaxHandlers(n)](https://docs.evt.land/api/evt/setmaxhandlers.md)
- [toStateful(initialState)](https://docs.evt.land/api/evt/tostateful.md)
- [evt.getStatelessOp(op)](https://docs.evt.land/api/evt/getstatelessop.md)
- [Evt.create(initalState?)](https://docs.evt.land/api/evt/create.md): Static method to instanciate an Evt or a StatefulEvt.
- [Evt.newCtx\<T>()](https://docs.evt.land/api/evt/newctx.md): Get a new instance of Ctx
- [Evt.getCtx(object)](https://docs.evt.land/api/evt/getctx.md): A way to avoid having to create a ctx variable.
- [Evt.from\<T>(...)](https://docs.evt.land/api/evt/from.md)
- [Evt.merge(\[ evt1, evt2, ... \])](https://docs.evt.land/api/evt/merge.md)
- [Evt.loosenType(evt)](https://docs.evt.land/api/evt/loosentype.md)
- [Evt.factorize(evt)](https://docs.evt.land/api/evt/factorize.md)
- [Evt.asPostable(evt)](https://docs.evt.land/api/evt/aspostable.md): Cast the passed event as portable.
- [Evt.asNonPostable(evt)](https://docs.evt.land/api/evt/asnonpostable.md)
- [Evt.setDefaultMaxHandlers(n)](https://docs.evt.land/api/evt/setdefaultmaxhandlers.md)
- [Ctx\<T>](https://docs.evt.land/api/ctx.md)
- [Operator\<T, U> (type)](https://docs.evt.land/api/operator.md): Operators provide a way to transform events data before they are passed to the callback.
- [StatefulEvt\<T>](https://docs.evt.land/api/statefulevt.md)
- [Helper types](https://docs.evt.land/api/helpertypes.md)
- [Handler\<T, U> (type)](https://docs.evt.land/api/handler.md)
- [React hooks](https://docs.evt.land/react-hooks.md): Evt let you work with events in react without having to worry about cleaning up afterward.
- [From EventEmitter to Evt](https://docs.evt.land/migrating_from_events.md): If you need to transition from EventEmitter to Evt without too much refactorying.
- [v1 -> v2](https://docs.evt.land/v1-greater-than-v2.md): New features and breaking changes


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://docs.evt.land/readme.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
